Package org.apache.solr.client.solrj.io.eq

## Class FieldEqualitor

- java.lang.Object
- - org.apache.solr.client.solrj.io.eq.FieldEqualitor

All Implemented Interfaces:
  `Serializable`, `Equalitor<Tuple>`, `StreamEqualitor`, `Expressible`

    public class FieldEqualitor
    extends Object
    implements StreamEqualitor

An equality field Equalitor which compares a field of two Tuples and determines if they are equal.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FieldEqualitor​(String fieldName)`
`FieldEqualitor​(String leftFieldName, String rightFieldName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLeftFieldName()`
`String` `getRightFieldName()`
`boolean` `isDerivedFrom​(StreamComparator base)`
`boolean` `isDerivedFrom​(StreamEqualitor base)`
`boolean` `test​(Tuple leftTuple, Tuple rightTuple)`
`Explanation` `toExplanation​(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression​(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldEqualitor

    public FieldEqualitor​(String fieldName)

#### FieldEqualitor

    public FieldEqualitor​(String leftFieldName,
                          String rightFieldName)

### Method Detail

#### toExpression

    public StreamExpressionParameter toExpression​(StreamFactory factory)

Specified by:
  `toExpression` in interface `Expressible`

#### toExplanation

    public Explanation toExplanation​(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### test

    public boolean test​(Tuple leftTuple,
                        Tuple rightTuple)

Specified by:
  `test` in interface `Equalitor<Tuple>`

#### getLeftFieldName

    public String getLeftFieldName()

#### getRightFieldName

    public String getRightFieldName()

#### isDerivedFrom

    public boolean isDerivedFrom​(StreamEqualitor base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`

#### isDerivedFrom

    public boolean isDerivedFrom​(StreamComparator base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`